Index: trunk/info/info/alkisn/alkisfkt.php
===================================================================
--- trunk/info/info/alkisn/alkisfkt.php	(revision 400)
+++ trunk/info/info/alkisn/alkisfkt.php	(revision 402)
@@ -489,35 +524,29 @@
 			$i++; // cnt Person
 
-			// Anteil als eigene Tab-Zeile:
 			$zaehler=$rown["zaehler"];
-			if ($zaehler != "") {
+			if ($zaehler != "") { // Anteil als eigene Tab-Zeile
 				$zaehler=str_replace(".", ",", $zaehler); // Dezimal-KOMMA wenn dem Notar der Bruch nicht reicht
 				$nenner=str_replace(".", ",", $rown["nenner"]);
 				$comnt="Anteil der Berechtigten in Bruchteilen (Par. 47 GBO) an einem gemeinschaftlichen Eigentum (Grundst&uuml;ck oder Recht).";
-				echo "\n<tr>\n\t<td>&nbsp;</td>" // Sp. 1
-				."\n\t<td><p class='avh' title='".$comnt."'>".$zaehler."/".$nenner." Anteil</p></td>"
-				."\n\t<td>&nbsp;</td>\n</tr>"; // Sp. 3
+				echo "\n\t<tr>"
+				."\n\t\t<td class='ll'>&nbsp;</td>" // 1
+				."\n\t\t<td>&nbsp;</td>" // 2
+				."\n\t\t<td><p class='avh' title='".$comnt."'>".$zaehler."/".$nenner." Anteil</p></td>" // 3
+				."\n\t\t<td>&nbsp;</td>\n\t</tr>"; // 4
 			}
 		} // End Loop Person
-		if ($i == 0) { // Keine Person. Das kommt vor hinter der Zeile "Erbengemeinschaft" und ist dann KEIN Fehler
-			if ($rechtsg != 9999) {
+		pg_free_result($resp);
+
+		if ($i == 0) { // KEINE Person. benennt ist leer. Das kommt vor hinter der Zeile "Erbengemeinschaft" und ist dann KEIN Fehler
+			if ($rechtsg == 9999) {
+				if ($debug > 1) {echo "\n\t\t\t<p class='dbg'>Rechtsgemeinschaft = '".$rechtsg."'</p>";}
+			} else {
 				echo "\n<p class='err'>(Die Person mit der ID '".$gmlpers."' fehlt im Datenbestand)</p>";
-			} else {
-				if ($debug > 1) { // nur bei Entwicklung
-					echo "\n\t\t<p class='dbg'>Rechtsgemeinschaft = '".$rechtsg."'</p>";
-				}
-			}
-			echo "</td>\n\t<td>&nbsp;</td>\n</tr>";
+			}
+			echo "</td>\n\t\t<td>&nbsp;</td>\n\t</tr>";
 		}
 		$n++; // cnt NamNum
 	} // End Loop NamNum
-	if($n > 0) {
-		echo "\n</table>";
-	} else { // $n == 0, bei "Fiktives Blatt" KEIN Fehler 
-		if ($debug > 1) {
-			echo "\n<p class='dbg'>keine Namensnummern zum Blatt</p>";
-			//if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".$sqln."<br>$1=gml(Blatt)= '".$gmlid."'</p>";}
-		}
-	}
+
 	pg_free_result($resn);
 	return $n; 
@@ -539,5 +568,5 @@
 	}
 	$i=0;
-	while($row = pg_fetch_array($res)) {
+	while($row = pg_fetch_assoc($res)) {
 		echo " ".$row["v"];
 		$i++;	
Index: trunk/info/info/alkisn/alkisinlaybaurecht.php
===================================================================
--- trunk/info/info/alkisn/alkisinlaybaurecht.php	(revision 400)
+++ trunk/info/info/alkisn/alkisinlaybaurecht.php	(revision 402)
@@ -11,7 +11,5 @@
 */
 session_start();
- 
 $cntget = extract($_GET); // Parameter in Variable umwandeln
-
 // strikte Validierung aller Parameter
 if (!isset($gmlid) or !preg_match('#^[0-9A-Za-z]{16}$#', $gmlid)) {die("Eingabefehler gmlid");}
@@ -20,5 +18,5 @@
 require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {require_once($mapbender);}
-?>
+echo <<<END
 <!doctype html>
 <html lang="de">
@@ -35,9 +33,7 @@
 	}
 	</script>
-	</script>
 </head>
 <body>
-
-<?php
+END;
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisinlaybaurecht.php'");
 if (!$con) echo "\n<p class='err'>Fehler beim Verbinden der DB</p>";
@@ -60,5 +56,5 @@
 echo "\n<h2><img src='ico/Gericht.png' width='16' height='16' alt=''> Bau-, Raum- oder Bodenordnungsrecht</h2>";
 
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	echo "\n<table>"
 		."\n<tr>"
Index: trunk/info/info/alkisn/alkisbaurecht.php
===================================================================
--- trunk/info/info/alkisn/alkisbaurecht.php	(revision 400)
+++ trunk/info/info/alkisn/alkisbaurecht.php	(revision 402)
@@ -8,8 +8,8 @@
 	2017-06-08 Validierung Eingabeparameter, Feinkorrekturen
 	2017-10-09 Sauber filtern auf endet IS NULL
+	2018-04-23 &nodebug
 */
 session_start();
-
-$showkey="n"; // Var. aus Parameter initalisieren
+$showkey="n"; $nodebug=""; // Var. aus Parameter initalisieren
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -19,4 +19,5 @@
 if (!preg_match('#^[j|n]{0,1}$#', $showkey)) {die ("Eingabefehler showkey");}
 if ($showkey == "j") {$showkey=true;} else {$showkey=false;}
+if (!preg_match('#^j{0,1}$#', $nodebug)) {die("Eingabefehler nodebug");}
 
 require_once("alkis_conf_location.php");
@@ -35,4 +36,8 @@
 <body>
 END;
+
+// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
+// Manuell an die URL anfügen, wirkt nur temporär und wird nicht in Links weiter gereicht.
+if ($nodebug == "j") {$debug=0;} 
 
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisbaurecht.php'");
@@ -55,5 +60,5 @@
 	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = ".$gmlid."</p>";}
 }
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	$artfest=$row["adfkey"];  // Art der Festlegung, Key
 	$verfnr=$row["rechtbez"]; // Verfahrens-Nummer
@@ -147,5 +152,5 @@
 
 	$fscnt=0;
-	while($row = pg_fetch_array($res)) {
+	while($row = pg_fetch_assoc($res)) {
 		$fscnt++;
 		echo "\n<tr>"
